DROP FUNCTION IF EXISTS fGetAge;

DELIMITER $$

CREATE FUNCTION fGetAge(pDate DATE) RETURNS INTEGER
BEGIN
	DECLARE vOut BIGINT DEFAULT 0;
	
	SET vOut = (YEAR(CURDATE())-YEAR(pDate)) - (RIGHT(CURDATE(),5)<RIGHT(pDate,5));
	
	RETURN vOut;
END$$

DELIMITER ;
	